from .group_names import (
    ACCOUNT_MANAGER,
    ADMINISTRATION,
    PII_VIEW,
    EVERYONE,
    AUDITOR,
    CLINIC,
    LAB,
    PHARMACY,
    PII,
    EXPORT,
    DATA_MANAGER,
)

DEFAULT_CODENAMES = {
    ACCOUNT_MANAGER: [
        "auth.add_group",
        "auth.add_permission",
        "auth.add_user",
        "auth.change_group",
        "auth.change_permission",
        "auth.change_user",
        "auth.delete_group",
        "auth.delete_permission",
        "auth.delete_user",
        "auth.view_group",
        "auth.view_permission",
        "auth.view_user",
        "edc_auth.add_userprofile",
        "edc_auth.change_userprofile",
        "edc_auth.delete_userprofile",
        "edc_auth.view_userprofile",
        "edc_notification.add_notification",
        "edc_notification.change_notification",
        "edc_notification.delete_notification",
        "edc_notification.view_notification",
    ],
    ADMINISTRATION: ["edc_navbar.nav_administration"],
    AUDITOR: [
        "edc_action_item.view_actionitem",
        "edc_action_item.view_actiontype",
        "edc_action_item.view_historicalactionitem",
        "edc_action_item.view_historicalreference",
        "edc_action_item.view_reference",
        "edc_appointment.view_appointment",
        "edc_appointment.view_historicalappointment",
        "edc_dashboard.view_lab_requisition_listboard",
        "edc_dashboard.view_subject_review_listboard",
        "edc_lab.view_aliquot",
        "edc_lab.view_box",
        "edc_lab.view_boxitem",
        "edc_lab.view_boxtype",
        "edc_lab.view_consignee",
        "edc_lab.view_historicalaliquot",
        "edc_lab.view_historicalbox",
        "edc_lab.view_historicalboxitem",
        "edc_lab.view_historicalconsignee",
        "edc_lab.view_historicalmanifest",
        "edc_lab.view_historicalorder",
        "edc_lab.view_historicalresult",
        "edc_lab.view_historicalresultitem",
        "edc_lab.view_historicalshipper",
        "edc_lab.view_manifest",
        "edc_lab.view_manifestitem",
        "edc_lab.view_order",
        "edc_lab.view_panel",
        "edc_lab.view_result",
        "edc_lab.view_resultitem",
        "edc_lab.view_shipper",
        "edc_navbar.nav_lab_requisition",
        "edc_navbar.nav_lab_section",
        "edc_offstudy.view_historicalsubjectoffstudy",
        "edc_offstudy.view_subjectoffstudy",
    ],
    CLINIC: [
        "edc_action_item.add_actionitem",
        "edc_action_item.add_reference",
        "edc_action_item.change_actionitem",
        "edc_action_item.change_reference",
        "edc_action_item.delete_actionitem",
        "edc_action_item.delete_reference",
        "edc_action_item.view_actionitem",
        "edc_action_item.view_actiontype",
        "edc_action_item.view_historicalactionitem",
        "edc_action_item.view_historicalreference",
        "edc_action_item.view_reference",
        "edc_appointment.add_appointment",
        "edc_appointment.change_appointment",
        "edc_appointment.view_appointment",
        "edc_appointment.view_historicalappointment",
        "edc_dashboard.view_lab_requisition_listboard",
        "edc_dashboard.view_subject_review_listboard",
        "edc_navbar.nav_lab_requisition",
        "edc_navbar.nav_lab_section",
        "edc_offstudy.add_subjectoffstudy",
        "edc_offstudy.change_subjectoffstudy",
        "edc_offstudy.delete_subjectoffstudy",
        "edc_offstudy.view_historicalsubjectoffstudy",
        "edc_offstudy.view_subjectoffstudy",
    ],
    DATA_MANAGER: [
        "edc_metadata.add_crfmetadata",
        "edc_metadata.add_requisitionmetadata",
        "edc_metadata.change_crfmetadata",
        "edc_metadata.change_requisitionmetadata",
        "edc_metadata.delete_crfmetadata",
        "edc_metadata.delete_requisitionmetadata",
        "edc_metadata.view_crfmetadata",
        "edc_metadata.view_requisitionmetadata",
    ],
    EVERYONE: [
        "admin.view_logentry",
        "auth.view_group",
        "auth.view_permission",
        "auth.view_user",
        "edc_auth.view_userprofile",
        "edc_navbar.nav_administration",
        "edc_navbar.nav_home",
        "edc_navbar.nav_logout",
        "sites.view_site",
    ],
    EXPORT: [
        "edc_export.add_datarequest",
        "edc_export.add_datarequesthistory",
        "edc_export.add_exportreceipt",
        "edc_export.add_filehistory",
        "edc_export.add_objecthistory",
        "edc_export.add_plan",
        "edc_export.add_uploadexportreceiptfile",
        "edc_export.change_datarequest",
        "edc_export.change_datarequesthistory",
        "edc_export.change_exportreceipt",
        "edc_export.change_filehistory",
        "edc_export.change_objecthistory",
        "edc_export.change_plan",
        "edc_export.change_uploadexportreceiptfile",
        "edc_export.delete_datarequest",
        "edc_export.delete_datarequesthistory",
        "edc_export.delete_exportreceipt",
        "edc_export.delete_filehistory",
        "edc_export.delete_objecthistory",
        "edc_export.delete_plan",
        "edc_export.delete_uploadexportreceiptfile",
        "edc_export.view_datarequest",
        "edc_export.view_datarequesthistory",
        "edc_export.view_exportreceipt",
        "edc_export.view_filehistory",
        "edc_export.view_historicaldatarequest",
        "edc_export.view_historicalexportreceipt",
        "edc_export.view_historicalfilehistory",
        "edc_export.view_historicalobjecthistory",
        "edc_export.view_historicalplan",
        "edc_export.view_objecthistory",
        "edc_export.view_plan",
        "edc_export.view_uploadexportreceiptfile",
    ],
    LAB: [
        "edc_dashboard.view_lab_aliquot_listboard",
        "edc_dashboard.view_lab_box_listboard",
        "edc_dashboard.view_lab_manifest_listboard",
        "edc_dashboard.view_lab_pack_listboard",
        "edc_dashboard.view_lab_process_listboard",
        "edc_dashboard.view_lab_receive_listboard",
        "edc_dashboard.view_lab_requisition_listboard",
        "edc_dashboard.view_lab_result_listboard",
        "edc_lab.add_aliquot",
        "edc_lab.add_box",
        "edc_lab.add_boxitem",
        "edc_lab.add_boxtype",
        "edc_lab.add_consignee",
        "edc_lab.add_manifest",
        "edc_lab.add_manifestitem",
        "edc_lab.add_order",
        "edc_lab.add_panel",
        "edc_lab.add_result",
        "edc_lab.add_resultitem",
        "edc_lab.add_shipper",
        "edc_lab.change_aliquot",
        "edc_lab.change_box",
        "edc_lab.change_boxitem",
        "edc_lab.change_boxtype",
        "edc_lab.change_consignee",
        "edc_lab.change_manifest",
        "edc_lab.change_manifestitem",
        "edc_lab.change_order",
        "edc_lab.change_panel",
        "edc_lab.change_result",
        "edc_lab.change_resultitem",
        "edc_lab.change_shipper",
        "edc_lab.delete_aliquot",
        "edc_lab.delete_box",
        "edc_lab.delete_boxitem",
        "edc_lab.delete_boxtype",
        "edc_lab.delete_consignee",
        "edc_lab.delete_manifest",
        "edc_lab.delete_manifestitem",
        "edc_lab.delete_order",
        "edc_lab.delete_panel",
        "edc_lab.delete_result",
        "edc_lab.delete_resultitem",
        "edc_lab.delete_shipper",
        "edc_lab.view_aliquot",
        "edc_lab.view_box",
        "edc_lab.view_boxitem",
        "edc_lab.view_boxtype",
        "edc_lab.view_consignee",
        "edc_lab.view_historicalaliquot",
        "edc_lab.view_historicalbox",
        "edc_lab.view_historicalboxitem",
        "edc_lab.view_historicalconsignee",
        "edc_lab.view_historicalmanifest",
        "edc_lab.view_historicalorder",
        "edc_lab.view_historicalresult",
        "edc_lab.view_historicalresultitem",
        "edc_lab.view_historicalshipper",
        "edc_lab.view_manifest",
        "edc_lab.view_manifestitem",
        "edc_lab.view_order",
        "edc_lab.view_panel",
        "edc_lab.view_result",
        "edc_lab.view_resultitem",
        "edc_lab.view_shipper",
        "edc_navbar.nav_lab_aliquot",
        "edc_navbar.nav_lab_manifest",
        "edc_navbar.nav_lab_pack",
        "edc_navbar.nav_lab_process",
        "edc_navbar.nav_lab_receive",
        "edc_navbar.nav_lab_requisition",
        "edc_navbar.nav_lab_section",
    ],
    PHARMACY: [
        "edc_navbar.nav_pharmacy_section",
        "edc_pharmacy.add_appointment",
        "edc_pharmacy.add_dispenseditem",
        "edc_pharmacy.add_dosageguideline",
        "edc_pharmacy.add_medication",
        "edc_pharmacy.add_prescription",
        "edc_pharmacy.add_prescriptionitem",
        "edc_pharmacy.change_appointment",
        "edc_pharmacy.change_dispenseditem",
        "edc_pharmacy.change_dosageguideline",
        "edc_pharmacy.change_medication",
        "edc_pharmacy.change_prescription",
        "edc_pharmacy.change_prescriptionitem",
        "edc_pharmacy.delete_appointment",
        "edc_pharmacy.delete_dispenseditem",
        "edc_pharmacy.delete_dosageguideline",
        "edc_pharmacy.delete_medication",
        "edc_pharmacy.delete_prescription",
        "edc_pharmacy.delete_prescriptionitem",
        "edc_pharmacy.view_appointment",
        "edc_pharmacy.view_dispenseditem",
        "edc_pharmacy.view_dosageguideline",
        "edc_pharmacy.view_medication",
        "edc_pharmacy.view_prescription",
        "edc_pharmacy.view_prescriptionitem",
    ],
    PII: [
        "edc_locator.add_subjectlocator",
        "edc_locator.change_subjectlocator",
        "edc_locator.delete_subjectlocator",
        "edc_locator.view_historicalsubjectlocator",
        "edc_locator.view_subjectlocator",
        "edc_registration.display_dob",
        "edc_registration.display_firstname",
        "edc_registration.display_identity",
        "edc_registration.display_initials",
        "edc_registration.display_lastname",
        "edc_registration.view_historicalregisteredsubject",
        "edc_registration.view_registeredsubject",
    ],
    PII_VIEW: [
        "edc_locator.view_historicalsubjectlocator",
        "edc_locator.view_subjectlocator",
        "edc_registration.display_dob",
        "edc_registration.display_firstname",
        "edc_registration.display_identity",
        "edc_registration.display_initials",
        "edc_registration.display_lastname",
        "edc_registration.view_historicalregisteredsubject",
        "edc_registration.view_registeredsubject",
    ],
}
